#!/bin/sh
#Revision: 1.0, 06/14/01

# 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. $binDir/setupCmdLine.sh 

if [ $# -lt 2 ] ; then 
	echo "Usage: ./InformixCreateSampleDB.sh <Informix User> <Informix Server>"
	exit 1
fi

INFORMIX_USER=$1
INFORMIX_SERVER=$2

export INFORMIX_USER INFORMIX_SERVER

echo "Begin database creation"
su - $INFORMIX_USER -c "dbaccess - $WAS_HOME/bin/InformixSampleDB.sql"
echo ""
echo "Database creation complete"
