#!/bin/sh
#Revision: 1.0, 06/14/01

# 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. $binDir/setupCmdLine.sh 

if [ $# -lt 3 ] ; then 
	echo "Usage: ./SybaseCreateSampleDB.sh <Sybase User> <Sybase Server> <Sybase DBA userid> <Sybase DBA password>"
	exit 1
fi

SYBASE_USER=$1
SYBASE_SERVER=$2
SYBASE_DBA=$3
SYBASE_PASSWD=$4

export SYBASE_USER SYBASE_SERVER SYBASE_DBA SYBASE_PASSWD

echo "Begin database creation"
su - $SYBASE_USER -c "isql -S$SYBASE_SERVER -U$SYBASE_DBA -P$SYBASE_PASSWD -i$WAS_HOME/bin/SybaseSampleDB.sql"
echo ""
echo "Database creation complete"
