#!/bin/sh
# 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#!echo "Usage: launchClient [<ear-file> | -help | -?]"

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

NAMING_FACTORY=com.ibm.websphere.naming.WsnInitialContextFactory
case `uname` in
SunOS | HP-UX)
  WAS_JAVAOPTS=-Xbootclasspath/a:$JAVA_HOME/jre/lib/ext/ibmorb.jar ;;
esac

$JAVA_HOME/bin/java \
  $WAS_JAVAOPTS \
  $CLIENTSAS \
  -Dserver.root=$WAS_HOME \
  -Dws.ext.dirs=$WAS_EXT_DIRS \
  -Dcom.ibm.CORBA.BootstrapHost=$COMPUTERNAME \
  -Djava.naming.factory.initial=$NAMING_FACTORY \
  -classpath $WAS_CLASSPATH com.ibm.ws.bootstrap.WSLauncher \
  com.ibm.websphere.client.applicationclient.launchClient "$@"

