#!/bin/sh
# 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

PLATFORM=`/bin/uname`
case $PLATFORM in
  SunOS | HP-UX) 
    WAS_JAVAOPTS=-Xbootclasspath/a:$JAVA_HOME/jre/lib/ext/ibmorb.jar ;;
esac

# These are wscp-specific options
SHELL=com.ibm.ejs.sm.ejscp.WscpShell
EXT="-x com.ibm.ejs.sm.ejscp.RemoteExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.ContextExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.DrAdminExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.EjscpExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.PmiServiceExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.SecurityConfigExtension"
EXT="$EXT -x com.ibm.ejs.sm.ejscp.SecurityRoleAssignmentExtension"

$JAVA_HOME/bin/java \
  $WAS_JAVAOPTS \
  $WSCPCLIENTSAS \
  -Dserver.root=$WAS_HOME \
  -Dws.ext.dirs=$WAS_EXT_DIRS \
  -classpath $WAS_CLASSPATH com.ibm.ws.bootstrap.WSLauncher \
  $SHELL $EXT "$@"

exit $?
