#!/bin/sh
#Revision: 1.0, 06/21/2001
# 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. $binDir/setupCmdLine.sh 

if [ ! $# -eq 2 ]; then 
	echo "Usage: ./ImportSamplesDB2.sh <DB2 User ID> <DB2 User Password>"
	exit 1
fi

DB2USER=$1
DB2PASSWD=$2
HOSTNAME=`hostname | awk -F. '{print $1}'`

echo "Invoking database creation script..."
$WAS_HOME/bin/DB2createSampleDB.sh $DB2USER $DB2PASSWD
echo "Install Samples.ear Enterprise Application"
$WAS_HOME/bin/XMLConfig.sh -import ImportSamples.xml -adminNodeName $HOSTNAME -substitute "was.install.root=$WAS_HOME;server_root=$WAS_HOME;com.ibm.ejs.sm.adminServer.primaryNode=$HOSTNAME"
echo "Regenerate the plugin-cfg.xml file"
$WAS_HOME/bin/GenPluginCfg.sh -adminNodeName $HOSTNAME
echo ""
echo "Samples installation complete"
