#!/bin/sh
#Revision: 1.0, 06/14/01

# 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. $binDir/setupCmdLine.sh 

if [ $# -lt 3 ] ; then 
	echo "Usage: ./OracleCreateSampleDB.sh <Oracle User> <Oracle DBA userid> <Oracle DBA password> [@<Oracle connect string>]"
	exit 1
fi

ORACLE_USER=$1
ORACLE_DBA=$2
ORACLE_PASSWD=$3
ORACLE_CONNECT_STRING=$4

export ORACLE_USER ORACLE_DBA ORACLE_PASSWD ORACLE_CONNECT_STRING

echo "Begin database creation"
su - $ORACLE_USER -c "sqlplus $ORACLE_DBA/$ORACLE_PASSWD$ORACLE_CONNECT_STRING @$WAS_HOME/bin/createOracleSampleDB.sql"
echo ""
echo "Database creation complete"
